firebird-server-3.0.4.33054-1.5.x86_64.rpm


Advertisement

Description

firebird-server - Server files of Firebird RDBMS

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename firebird-server-3.0.4.33054-1.5.x86_64.rpm
Package name firebird-server
Package version 3.0.4.33054
Package release 1.5
Package architecture x86_64
Package type rpm
Category Productivity/Databases/Servers
Homepage http://www.firebirdsql.org/
License SUSE-IDPL-1.0 AND SUSE-IBPL-1.0
Maintainer -
Download size 785.59 KB
Installed size 4.84 MB
This package provides files needed to run Firebird RDBMS as a server.
Firebird is a relational database offering many ANSI SQL standard
features that runs on Linux, Windows, and a variety of Unix platforms.
Firebird offers excellent concurrency, high performance, and powerful
language support for stored procedures and triggers. It has been used
in production systems, under a variety of names, since 1981.

Alternatives

Package Version Architecture Repository
firebird-server-3.0.4.33054-117.32.x86_64.rpm 3.0.4.33054 x86_64 Database
firebird-server-3.0.4.33054-117.32.i586.rpm 3.0.4.33054 i586 Database
firebird-server-3.0.4.33054-1.5.i586.rpm 3.0.4.33054 i586 openSUSE Oss
firebird-server - - -

Requires

Name Value
firebird = 3.0.4.33054
ld-linux-x86-64.so.2()(64bit) -
ld-linux-x86-64.so.2(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.28)(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libfbclient.so.2()(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libgcc_s.so.1(GCC_4.0.0)(64bit) -
libib_util.so()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libm.so.6(GLIBC_2.29)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
libpthread.so.0(GLIBC_2.4)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libtommath.so.1()(64bit) -

Provides

Name Value
config(firebird-server) = 3.0.4.33054-1.5
firebird-classic = 3.0.4.33054
firebird-server = 3.0.4.33054-1.5
firebird-server(x86-64) = 3.0.4.33054-1.5
firebird-superserver = 3.0.4.33054
libCryptKeyHolder_example.so.0()(64bit) -
libDbCrypt_example.so.0()(64bit) -
libLegacy_Auth.so.0()(64bit) -
libLegacy_UserManager.so.0()(64bit) -
libSrp.so.0()(64bit) -
libfbtrace.so.0()(64bit) -
libudr_engine.so.0()(64bit) -
sysvinit(firebird) -

Obsoletes

Name Value
firebird-classic < 3
firebird-superserver < 3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package firebird-server-3.0.4.33054-1.5.x86_64.rpm
Source Package firebird-3.0.4.33054-1.5.src.rpm

Install Howto

Install firebird-server rpm package:

# zypper install firebird-server

Files

Path
/etc/firebird/databases.conf
/etc/firebird/fbtrace.conf
/etc/firebird/plugins.conf
/etc/firebird/firebird.conf.d/50-server.conf
/etc/init.d/firebird
/etc/xinetd.d/firebird
/usr/lib64/firebird/plugins/libCryptKeyHolder_example.so
/usr/lib64/firebird/plugins/libDbCrypt_example.so
/usr/lib64/firebird/plugins/libLegacy_Auth.so
/usr/lib64/firebird/plugins/libLegacy_UserManager.so
/usr/lib64/firebird/plugins/libSrp.so
/usr/lib64/firebird/plugins/libfbtrace.so
/usr/lib64/firebird/plugins/libudr_engine.so
/usr/lib64/firebird/plugins/udr_engine.conf
/usr/lib64/firebird/plugins/udr/libudrcpp_example.so
/usr/lib64/firebird/udf/fbudf.so
/usr/lib64/firebird/udf/fbudf.sql
/usr/lib64/firebird/udf/ib_udf.so
/usr/lib64/firebird/udf/ib_udf.sql
/usr/lib64/firebird/udf/ib_udf2.sql
/usr/lib64/firebird/utils/FirebirdUninstall.sh
/usr/lib64/firebird/utils/changeServerMode.sh
/usr/lib64/firebird/utils/fb_config
/usr/lib64/firebird/utils/registerDatabase.sh
/usr/sbin/fb_lock_print
/usr/sbin/fbguard
/usr/sbin/firebird
/usr/sbin/rcfirebird
/var/lib/firebird/secdb/security3.fdb

Changelog

2018-11-21 - mkubecek@suse.cz
- update to upstream version 3.0.4
* add support for SRP authentication using SHA-256
* ODS (database file format) version raised to 12.2 on some
architectures (including i586, not x86_64); new version will be
able to open existing ODS 12.0 created on the same architecture
but for database transfer between architectures, backup/restore
is always recommended
* context variables WIRE_COMPRESSED and WIRE_ENCRYPTED were added
to the SYSTEM namespace to report compression and encryption
status, respectively, of the current connection (CORE-5913)
* enhanced reporting of errors when dynamic library fails to load
(CORE-5908)
* include funciton name when UDF causes "Arithmetic exception,
numeric overflow, or string truncation" error (CORE-5876)
* context variables LOCALTIME and LOCALTIMESTAMP (synonyms for
CURRENT_TIME and CURRENT_TIMESTAMP) for compatibility with 4.0
(CORE-5853)
* read-only restriction for system tables was relaxed to permit
CREATE, ALTER and DROP operations on their indexes (CORE-5746)
* fix unauthorized BLOB access vulnerability (CORE-5801)
* for a full list of bugfixes and improvements see
http://www.firebirdsql.org/file/documentation/release_notes/html/en/3_0/rnfb30-general.html#rnfb30-general-v304
- drop patches included in new upstream release:
Make-it-build-with-icu60.patch
An-attempt-to-fix-CORE-5764-need-feedback-on-snapsho.patch
Fixed-a-code-somewhy-accepted-by-gcc6.patch
- refresh patches:
work-around-g-problem-in-SLE11.patch
use-C-98-on-SLE11.patch
2018-07-04 - mkubecek@suse.cz
- replace unicode-handle-the-ICU-version-hack-from-SuSE.patch
with more general upstream solution:
* An-attempt-to-fix-CORE-5764-need-feedback-on-snapsho.patch
* Fixed-a-code-somewhy-accepted-by-gcc6.patch
- unicode-handle-new-SUSE-ICU-version-hack.patch:
search also for "suse%d.%d" soname pattern to fix build after
upcoming ICU update (bsc#1095425)
2018-03-28 - mkubecek@suse.cz
- move firebitd.xinetd back to firebird-server subpackage on SLE15
- provide /etc/xinetd.d directory on Tumbleweed and Leap 15.0 as
xinetd is no longer guaranteed to be present there; this solution
(suggested by Dimstar) is less painful than either having
firebird-server depend on xinetd or splitting a new subpackage
firebird-server-classic.
2018-03-23 - mkubecek@suse.cz
- patch xinetd config file unconditionally; previous change would
result in unpatched xinetd config file installed on Tumbleweed
so that the service would be enabled by default and firebird
binary run as root
2018-03-22 - fcrozat@suse.com
- Do no ship xinetd file on SLE15 (bsc#1084459).

See Also

Package Description
firebird-utils-3.0.4.33054-1.5.i586.rpm Firebird RDBMS management utilities
firebird-utils-3.0.4.33054-1.5.x86_64.rpm Firebird RDBMS management utilities
firefox-uget-integrator-1.0.0-2.1.i586.rpm Integration of uGet with Firefox
firefox-uget-integrator-1.0.0-2.1.x86_64.rpm Integration of uGet with Firefox
firehol-3.1.6-1.2.noarch.rpm Tools to build stateful firewalls and traffic shaping
firehol-doc-3.1.6-1.2.noarch.rpm FireHOL documentation
firejail-0.9.58-1.1.i586.rpm Linux namepaces sandbox program
firejail-0.9.58-1.1.x86_64.rpm Linux namepaces sandbox program
firescope-0.2-89.12.i586.rpm Read linux kernel logs over firewire
firescope-0.2-89.12.x86_64.rpm Read linux kernel logs over firewire
firewall-applet-0.6.3-4.1.noarch.rpm Firewall panel applet
firewall-config-0.6.3-4.1.noarch.rpm Firewall configuration application
firewall-macros-0.6.3-4.1.noarch.rpm FirewallD RPM macros
firewalld-0.6.3-4.1.noarch.rpm A firewall daemon with D-Bus interface providing a dynamic firewall
firewalld-lang-0.6.3-4.1.noarch.rpm Translations for package firewalld
Advertisement
Advertisement